scoreboard objectives add dialogueIndex dummy
scoreboard objectives add dialogueProgress dummy
scoreboard objectives add choice dummy
scoreboard objectives add kills dummy "Kills"
scoreboard objectives add initTrigger minecraft.custom:minecraft.open_chest
scoreboard objectives add leftGame minecraft.custom:leave_game
scoreboard objectives add playerInput trigger
scoreboard objectives add hopperDelay dummy
scoreboard objectives add respects dummy
scoreboard players enable @a playerInput
scoreboard objectives setdisplay sidebar kills

execute if entity @e[tag=counter,scores={dialogueIndex=1..1}] run function unfair_seas:dialogue1
execute if entity @e[tag=counter,scores={dialogueIndex=2..2}] run function unfair_seas:dialogue2
execute if entity @e[tag=counter,scores={dialogueIndex=3..3}] run function unfair_seas:dialogue3
execute if entity @e[tag=counter,scores={dialogueIndex=4..4}] run function unfair_seas:dialogue4
execute if entity @e[tag=counter,scores={dialogueIndex=5..5}] run function unfair_seas:dialogue5
execute if entity @e[tag=counter,scores={dialogueIndex=6..6}] run function unfair_seas:dialogue6
execute if entity @e[tag=counter,scores={dialogueIndex=7..7}] run function unfair_seas:dialogue7
execute if entity @e[tag=counter,scores={dialogueIndex=8..8}] run function unfair_seas:dialogue8
execute if entity @e[tag=counter,scores={dialogueIndex=9..9}] run function unfair_seas:dialogue9
execute if entity @e[tag=counter,scores={dialogueIndex=10..10}] run function unfair_seas:dialogue10
execute if entity @e[tag=counter,scores={dialogueIndex=11..11}] run function unfair_seas:dialogue11
execute if entity @e[tag=counter,scores={dialogueIndex=12..12}] run function unfair_seas:dialogue12
execute if entity @e[tag=counter,scores={dialogueIndex=13..13}] run function unfair_seas:dialogue13
execute if entity @e[tag=counter,scores={dialogueIndex=14..14}] run function unfair_seas:dialogue14
execute if entity @e[tag=counter,scores={dialogueIndex=15..15}] run function unfair_seas:dialogue15
execute if entity @e[tag=counter,scores={dialogueIndex=16..16}] run function unfair_seas:dialogue16
execute if entity @e[tag=counter,scores={dialogueIndex=17..17}] run function unfair_seas:dialogue17

execute as @e[tag=counter] unless entity @s[tag=triggeredDialogue2] if entity @e[type=player,x=58,y=50,z=-3,distance=..3,gamemode=adventure] run function unfair_seas:start_dialogue2
execute as @e[tag=counter] unless entity @s[tag=triggeredDialogue2] if entity @e[type=player,x=58,y=50,z=-3,distance=..3,gamemode=adventure] run tag @s add triggeredDialogue2

execute as @e[tag=f1] at @s run tp @s ~ ~ ~ -90 ~
execute as @e[tag=f2] at @s run tp @s ~ ~ ~ -90 ~

effect give @a[tag=nightvision] night_vision 53 100 true
effect give @a resistance 53 100 true
effect give @a saturation 53 100 true
spawnpoint @a -33 54 -5

execute as @a at @s positioned ~ ~2 ~ if block ^ ^ ^0.5 barrier positioned ~ ~ ~ positioned ^ ^ ^1 run particle minecraft:ash ^ ^ ^0.25 0.25 1 0.25 1 10

execute unless entity @e[tag=intro] if entity @a[scores={initTrigger=1..}] run function unfair_seas:start_dialogue1
execute if entity @a[scores={initTrigger=1..}] run tag @e[tag=counter] add intro

execute unless block 59 53 -3 jack_o_lantern unless entity @e[tag=b1] run summon minecraft:falling_block 59 53 -3 {NoGravity:1b,Time:-2147483648,Tags:["b1","keep"],BlockState:{Name:"minecraft:jack_o_lantern"}}
execute unless block 58 53 -3 jack_o_lantern unless entity @e[tag=b2] run summon minecraft:falling_block 58 53 -3 {NoGravity:1b,Time:-2147483648,Tags:["b2","keep"],BlockState:{Name:"minecraft:jack_o_lantern"}}
execute if block 59 53 -3 jack_o_lantern run kill @e[tag=b1]
execute if block 58 53 -3 jack_o_lantern run kill @e[tag=b2]
execute if entity @a[gamemode=adventure,x=58,y=54,z=-3,distance=..1] run fill 59 53 -3 58 53 -3 air

kill @e[type=item,nbt={Item:{id:"minecraft:diamond"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:cracked_stone_bricks"}}]
execute as @e[type=item,nbt={Item:{id:"minecraft:stone_bricks"}}] run data merge entity @s {Item:{tag:{CanPlaceOn:["stone_bricks","sand"],HideFlags:63}}}
execute as @e[type=item,nbt={Item:{id:"minecraft:scaffolding"}}] run data merge entity @s {Item:{tag:{CanPlaceOn:["scaffolding","sand"],HideFlags:63}}}

execute if block -33 54 -4 air run xp set @a 0 levels
execute unless block -33 54 -4 air run xp set @a 1 levels
execute unless block -33 54 -4 air run setblock -33 54 -4 anvil[facing=east]
xp set @a 0 points

execute as @a[x=-30,y=44,z=32,distance=..1,gamemode=adventure] run effect give @s minecraft:levitation 1 6 true

tp @e[tag=negotiator] @e[tag=negotiator_stand,limit=1]
execute as @e[tag=negotiator] at @s if block ~ ~ ~ lava run kill @s
execute as @e[tag=negotiator_stand] at @s if block ~ ~ ~ lava run kill @s

execute if entity @e[tag=counter,tag=badEnding] run gamemode spectator @a
execute if entity @e[tag=counter,tag=badEnding] as @a at @s unless block ~ ~ ~ air run tp @s -35 84 23 -90 0
execute if entity @e[tag=counter,tag=neutralEnding] run effect give @a[gamemode=adventure] water_breathing 53 100 true

execute if entity @e[tag=counter,tag=goodending,tag=!gHappyTalked] if block -40 56 7 stone if entity @a[gamemode=adventure,x=-33,y=54,z=-4,distance=..5] run function unfair_seas:start_dialogue12
execute if entity @e[tag=counter,tag=goodending,tag=!gHappyTalked] if block -40 56 7 stone if entity @a[gamemode=adventure,x=-33,y=54,z=-4,distance=..5] run tag @e[tag=counter] add gHappyTalked

kill @e[type=item,nbt={Item:{id:"minecraft:item_frame"}}]

scoreboard players add @e[tag=counter,tag=check_hopper] hopperDelay 1
execute if entity @e[tag=counter,scores={hopperDelay=10..10}] run data merge block -40 4 -2 {auto:1b}
execute if entity @e[tag=counter,scores={hopperDelay=10..10}] run tag @e[tag=counter] remove check_hopper
execute if entity @e[tag=counter,scores={hopperDelay=10..10}] run scoreboard players reset @e[tag=counter] hopperDelay

execute if entity @e[tag=f] run setblock 3 55 -20 minecraft:oak_wall_sign[facing=west,waterlogged=true]{Color:"black",GlowingText:0b,Text1:'{"clickEvent":{"action":"run_command","value":"playsound discord master @a ~ ~ ~ 100000"},"text":""}',Text2:'{"extra":[{"bold":true,"color":"dark_aqua","text":"["},{"bold":true,"obfuscated":true,"color":"dark_aqua","text":"F"},{"bold":true,"color":"dark_aqua","text":"]"}],"text":""}',Text3:'{"text":""}',Text4:'{"text":""}'}
execute if entity @e[tag=f] run setblock 17 55 16 minecraft:oak_wall_sign[facing=north,waterlogged=true]{Color:"black",GlowingText:0b,Text1:'{"clickEvent":{"action":"run_command","value":"tellraw @s {\\"text\\":\\"[PAj]\\",\\"bold\\":true,\\"color\\":\\"dark_aqua\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://www.youtube.com/watch?v=HWUNfZ8bvu4\\"}}"},"text":""}',Text2:'{"bold":true,"color":"dark_aqua","text":"[1]"}',Text3:'{"text":""}',Text4:'{"text":""}'}
execute if entity @e[tag=f] run setblock -22 54 39 minecraft:oak_wall_sign[facing=east,waterlogged=true]{Color:"black",GlowingText:0b,Text1:'{"clickEvent":{"action":"run_command","value":"tellraw @s {\\"text\\":\\"[Spun]\\",\\"bold\\":true,\\"color\\":\\"dark_aqua\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://www.youtube.com/watch?v=HWUNfZ8bvu4\\"}}"},"text":""}',Text2:'{"bold":true,"color":"dark_aqua","text":"[2]"}',Text3:'{"text":""}',Text4:'{"text":""}'}
execute if entity @e[tag=f] run setblock -66 54 2 minecraft:oak_wall_sign[facing=east,waterlogged=true]{Color:"black",GlowingText:0b,Text1:'{"clickEvent":{"action":"run_command","value":"tellraw @s {\\"text\\":\\"[Qgr]\\",\\"bold\\":true,\\"color\\":\\"dark_aqua\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://www.youtube.com/watch?v=HWUNfZ8bvu4\\"}}"},"text":""}',Text2:'{"bold":true,"color":"dark_aqua","text":"[3]"}',Text3:'{"text":""}',Text4:'{"text":""}'}
tag @e remove f